Package com.google.protobuf

# Interface GeneratedMessage.ExtendableMessage.ExtensionSerializer

All Known Implementing Classes:
  `GeneratedMessage.ExtendableMessage.ExtensionWriter`, `GeneratedMessageV3.ExtendableMessage.ExtensionWriter`

Enclosing class:
  `GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>`

protected static interface GeneratedMessage.ExtendableMessage.ExtensionSerializer
Used by subclasses to serialize extensions. Extension ranges may be interleaved with field numbers, but we must write them in canonical (sorted by field number) order. ExtensionSerializer helps us write individual ranges of extensions at once.

## Method Summary

Modifier and Type
Method
Description
`void`
`writeUntil(int end, CodedOutputStream output)`

## Method Details

### writeUntil

void writeUntil(int end, CodedOutputStream output) throws IOException

Throws:
  `IOException`